## python-webargs 7.0.1

=== examples/requirements.txt ===
python-dateutil==2.8.1
Flask
bottle
tornado
flask-restful
pyramid

=== debian/changelog ===
python-webargs (7.0.1-1) unstable; urgency=medium

  * Initial upload to unstable. Closes: #986750

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 12 Apr 2021 08:20:38 +0100

python-webargs (7.0.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 7.0.1
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Jan 2021 14:20:06 +0100

python-webargs (5.5.3-0kali1) kali-dev; urgency=medium

  * New upstream version 5.5.3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 May 2020 11:17:45 +0200

python-webargs (5.1.2-0kali2) kali-dev; urgency=medium

  * Remove Python 2 modules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 14:12:50 +0100

python-webargs (5.1.2-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.2
  * Refresh patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Feb 2019 14:12:42 +0100

python-webargs (4.4.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.4.1
  * Refresh patch
  * Add missing dependencies

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 04 Feb 2019 16:04:15 +0100

python-webargs (4.0.0-0kali4) kali-dev; urgency=medium

  * Fix the version comparison in patch

 -- Sophie Brun <sophie@freexian.com>  Wed, 24 Oct 2018 17:36:44 +0200

python-webargs (4.0.0-0kali3) kali-dev; urgency=medium

  * Add a patch to handle correctly marshmallow version

 -- Sophie Brun <sophie@freexian.com>  Tue, 28 Aug 2018 11:35:48 +0200

python-webargs (4.0.0-0kali2) kali-dev; urgency=medium

  * Remove unused build-dep
  * Remove Python3 specific files in Python2 module

 -- Sophie Brun <sophie@freexian.com>  Mon, 27 Aug 2018 15:07:29 +0200

python-webargs (4.0.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Fri, 27 Jul 2018 17:38:57 +0200

=== debian/control ===
Source: python-webargs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-marshmallow (>= 3.1.0),
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/sloria/webargs
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webargs
Vcs-Git: https://salsa.debian.org/python-team/packages/python-webargs.git
Testsuite: autopkgtest-pkg-python

Package: python3-webargs
Architecture: all
Depends: python3-bottle,
         python3-django,
         python3-flask,
         python3-packaging,
         python3-pyramid,
         ${misc:Depends},
         ${python3:Depends}
Description: Python library for parsing and validating HTTP request arguments (Python 3)
 This package contains a Python library for parsing and validating HTTP request
 arguments, with built-in support for popular web frameworks, including Flask,
 Django, Bottle, Tornado, Pyramid, webapp2, Falcon, and aiohttp.
 .
 This package installs the library for Python 3.

## python-webargs 8.0.1

=== examples/requirements.txt ===
python-dateutil==2.8.2
Flask
bottle
tornado
flask-restful
pyramid

=== debian/changelog ===
python-webargs (8.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 21:42:46 +0000

python-webargs (8.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 30 Dec 2021 09:30:01 +0000

python-webargs (7.0.1-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Dec 2021 19:27:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-marshmallow (>= 3.1.0),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/sloria/webargs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webargs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-webargs.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=webargs
#ignore tests (we don't have all the dependencies, and not the required versions)
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-webargs 8.5.0

=== debian/changelog ===
python-webargs (8.5.0-1) unstable; urgency=medium

  * Team Upload
  * Adapt gbp.conf and *-ci.yml for Debian
  * New upstream version 8.5.0
  * Add missing build-deps flit and pybuild-plugin-pyproject
  * Bump Standards-Version to 4.7.0 (no changes)
  * Fix permissions of /usr/lib/python3/dist-packages/webargs/__init__.py
  * Run the tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Aug 2024 16:00:16 +0200

## python-webargs 8.6.0

=== debian/changelog ===
python-webargs (8.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix the handling of invalid JSON bodies in the bottle parser to
      support bottle versions >=0.13 (closes: #1082393).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Oct 2024 23:42:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,22 @@
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       flit,
+	       pybuild-plugin-pyproject,
+	       python3-aiohttp,
                python3-all,
+	       python3-bottle,
+	       python3-django,
+	       python3-falcon,
+	       python3-flask,
                python3-marshmallow (>= 3.1.0),
+	       python3-pyramid,
                python3-pytest,
-               python3-setuptools
-Standards-Version: 4.6.1
+	       python3-pytest-asyncio,
+               python3-setuptools,
+	       python3-tornado,
+	       python3-webtest
+Standards-Version: 4.7.0
 Homepage: https://github.com/sloria/webargs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webargs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-webargs.git

## python-webargs 8.7.0

=== examples/requirements.txt ===
python-dateutil==2.9.0.post0
Flask
bottle
tornado
flask-restful
pyramid

=== debian/changelog ===
python-webargs (8.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:34:21 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	       python3-falcon,
 	       python3-flask,
                python3-marshmallow (>= 3.1.0),
+               python3-packaging,
 	       python3-pyramid,
                python3-pytest,
 	       python3-pytest-asyncio,
@@ -24,7 +25,7 @@
 Homepage: https://github.com/sloria/webargs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webargs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-webargs.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-webargs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=webargs
#ignore tests (we don't have all the dependencies, and not the required versions)
#export PYBUILD_DISABLE=test
# ignore tests using network
export PYBUILD_TEST_ARGS=-k 'not test_get_path_param and not test_get_with_no_json_body and not test_post and not test_missing_required_field_throws_422 and not test_required_field_provided and not test_use_kwargs_with_error and not test_user_validator_returns_422_by_default'

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_fixperms:
	chmod 644 debian/python3-webargs/usr/lib/python3/dist-packages/webargs/__init__.py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-webargs-$1.tar.gz%" \
   https://github.com/sloria/webargs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-webargs 8.7.1

=== debian/changelog ===
python-webargs (8.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Nov 2025 20:46:51 +0000

python-webargs (8.7.0-2) unstable; urgency=medium

  * Team upload.
  * Remove usages of event_loop fixture to fix tests (closes: #1115756).
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Oct 2025 00:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
 	       flit,
 	       pybuild-plugin-pyproject,
 	       python3-aiohttp,
@@ -13,7 +13,7 @@
 	       python3-django,
 	       python3-falcon,
 	       python3-flask,
-               python3-marshmallow (>= 3.1.0),
+               python3-marshmallow (>= 3.13.0),
                python3-packaging,
 	       python3-pyramid,
                python3-pytest,
@@ -21,7 +21,7 @@
                python3-setuptools,
 	       python3-tornado,
 	       python3-webtest
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sloria/webargs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webargs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-webargs.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_TEST_ARGS=-k 'not test_get_path_param and not test_get_with_no_json_body and not test_post and not test_missing_required_field_throws_422 and not test_required_field_provided and not test_use_kwargs_with_error and not test_user_validator_returns_422_by_default'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_fixperms:
 	chmod 644 debian/python3-webargs/usr/lib/python3/dist-packages/webargs/__init__.py
